<?php

namespace Schaffen\Gef\Models;

use App\Models\Cadastro\Pessoa;
use Illuminate\Database\Eloquent\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Project\Obra;

/**
 * Class ApontamentoVeiculoUso.
 *
 * @package namespace Schaffen\Gef\Models;
 */
class ApontamentoVeiculoUso extends Model implements Transformable
{
   use TransformableTrait;

   public $timestamps = false;
   protected $table = "frota.apontamento_veiculo_uso";
   protected $primaryKey = "avu_codigo";
   public static $prefix = 'avu_';
   use SoftDeletes;
   /**
    * The attributes that are mass assignable.
    *
    * @var array
    */
   protected $fillable = [
      "avu_km_inicial",
      "avu_km_final",
      "avu_data_hora_uso_inical",
      "avu_data_hora_uso_final",
      "avu_observacao",
      "avu_fk_motorista_pes_codigo",
      "avu_fk_agu_codigo",
      "avu_fk_vei_codigo",
      "avu_data_hora_uso_inical",
      "avu_data_hora_uso_final",
      "avu_fk_obr_codigo"
   ];


   public function motorista(){
      return $this->belongsTo(Pessoa::class, 'avu_fk_motorista_pes_codigo');
   }
   public function veiculo(){
      return $this->belongsTo(Veiculo::class, 'avu_fk_vei_codigo');
   }

   public function agendamento(){
      return $this->belongsTo(AgendamentoVeiculoUso::class, 'avu_fk_agu_codigo');
   }

   public function obra() {
      return $this->belongsTo(Obra::class, 'avu_fk_obr_codigo');
   }
}
